%define version 0.4.0
%define release alt2
%define origname TwistedMail
%setup_python_module twisted-mail

Name:           %{packagename}
Version:        %{version}
Release:        %{release}
Summary:        A Twisted Mail library, server and client

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Mail/0.4/%{origname}-%{version}.tar.bz2

BuildRequires:  python-module-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-twisted-names

%description
Twisted is an event-based framework for internet applications.

Twisted Mail contains high-level, efficient protocol implementations
for both clients and servers of SMTP, POP3, and IMAP4. Additionally,
it contains an "out of the box" combination SMTP/POP3 virtual-hosting
mail server. Also included is a read/write Maildir implementation and
a basic Mail Exchange calculator.

%prep
%setup -q -n %{origname}-%{version}

%build
%__python setup.py build

%install
%__python setup.py install --root $RPM_BUILD_ROOT

# this .py file has a shebang line so should be executable
#chmod +x $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/mail/test/pop3testserver.py

%clean

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README doc/*
%{_bindir}/mailmail
%{python_sitelibdir}/twisted/mail/

%{python_sitelibdir}/twisted/plugins/twisted_mail.py*

%changelog
* Sun Apr 01 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt2
- spec cleanup

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt1
- Build for new upstream version
